SystemB.ProcTaskAllInfo (JNA API)

com.sun.jna.platform.mac

## Class SystemB.ProcTaskAllInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.ProcTaskAllInfo

- Enclosing interface:
    SystemB

      @Structure.FieldOrder(value={"pbsd","ptinfo"})
      public static class SystemB.ProcTaskAllInfo
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SystemB.ProcBsdInfo` | `pbsd`
    `SystemB.ProcTaskInfo` | `ptinfo`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcTaskAllInfo()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pbsd

          public SystemB.ProcBsdInfo pbsd

    - #### ptinfo

          public SystemB.ProcTaskInfo ptinfo

  - ### Constructor Detail

    - #### ProcTaskAllInfo

          public ProcTaskAllInfo()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.